import { CollectionFieldInterface } from "../../data-source/collection-field-interface/CollectionFieldInterface.mjs";
import { dataSource, defaultProps, operators } from "./properties/index.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class RadioGroupFieldInterface extends CollectionFieldInterface {
    constructor(...args){
        super(...args), _define_property(this, "name", 'radioGroup'), _define_property(this, "type", 'object'), _define_property(this, "group", 'choices'), _define_property(this, "order", 4), _define_property(this, "title", '{{t("Radio group")}}'), _define_property(this, "sortable", true), _define_property(this, "default", {
            type: 'string',
            uiSchema: {
                type: 'string',
                'x-component': 'Radio.Group'
            }
        }), _define_property(this, "availableTypes", [
            'string',
            'integer',
            'boolean',
            'integer'
        ]), _define_property(this, "hasDefaultValue", true), _define_property(this, "properties", {
            ...defaultProps,
            'uiSchema.enum': dataSource
        }), _define_property(this, "filterable", {
            operators: operators.enumType
        }), _define_property(this, "titleUsable", true);
    }
}
export { RadioGroupFieldInterface };
